package com.saye.hospitalgd.mapper;

import com.saye.hospitalgd.entity.BankbillsHistory;

import java.util.HashMap;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @author： Mr.zs
 * @date： 2022/12/7
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface BankbillsHistoryMapper {
    List<HashMap<Object, Object>> findBankbillHistoryByParam(HashMap<Object, Object> searchNotUniqueObjMap);

    List<HashMap<Object, Object>> findBankBillsByDate(HashMap<Object, Object> searchMap);

    int saveOriginalData(List<HashMap<Object, Object>> savList);

    int saveHistoryData(List<HashMap<Object, Object>> savList);

    void deleteOriginalByParam(HashMap<Object, Object> deleteMap);

    void insertOriginal(List<BankbillsHistory> addList);

    void deleteHistoryByParam(HashMap<Object, Object> deleteMap);

    void insertHistory(List<BankbillsHistory> addList);
}
